import LoadingComponent from "@/components/LoadingComponent.vue";
import ErrorComponent from "@/components/ErrorComponent.vue";


export const asyncComponentConfig = {
    loadingComponent: LoadingComponent,
    errorComponent: ErrorComponent,
    onError: (_error: Error, retry: () => void, fail: () => void, attempts: number) => {
      if (attempts <= 3) {
        retry();
      } else {
        fail();
      }
    }
  };